var top = -50;
var turn = 0;
var cols = new Array(7);
var onezero = 1;
for (i=0; i < 7; i++){
	cols[i] = [];
}
function put(col , x){
	top = top + 10;
	document.getElementById(turn).style.top = top + "px";
	if (top < 84 * x + 8 - 10)
		setTimeout("put(" + col + "," + x + ")", 10);
	else{
		tmp = 84 * x + 8;
		document.getElementById(turn).style.top = tmp + "px";
		top = -50;
		document.getElementById("transparent").style.zIndex = -3;
		if (turn > 6)
			checkWinner(col);
	}
}

function nextTurn(col){
	if (cols[col].length < 6){
		document.getElementById("transparent").style.zIndex = 1;
		turn = turn + 1;
		tmp = col * 84 + 8;
		document.getElementById(turn).style.left = tmp +'px';
		cols[col].push(turn);
		x = 6 - cols[col].length;
		put(col, x);
	}
}

function checkY(col){
	y = cols[col].length - 1;
	color = cols[col][y] % 2;
	counter = 0;
	winner = [];
	winner.push(cols[col][y]);
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col][y - i] != "undefined" && 
			cols[col][y - i] % 2 == color;
		if (!same_color)
			break;
		counter++;
		winner.push(cols[col][y - i]);
	}
	if (counter >= 3)
		return winner;
	else
		return null;
}

function checkX(col){
	y = cols[col].length - 1;
	color = cols[col][y] % 2;
	counter = 0;
	winner = [];
	winner.push(cols[col][y]);
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col + i] != "undefined" &&
			typeof cols[col + i][y] != "undefined" && 
			cols[col + i][y] % 2 == color;
		if (!same_color)
			break;
		counter++;
		winner.push(cols[col + i][y]);
	}
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col - i] != "undefined" &&
			typeof cols[col - i][y] != "undefined" && 
			cols[col - i][y] % 2 == color;
		if (!same_color)
			break;
		counter++;
		winner.push(cols[col - i][y]);
	}
	if (counter >= 3)
		return winner;
	else
		return null;
}

function checkXY(col){
	y = cols[col].length - 1;
	color = cols[col][y] % 2;
	counter = 0;
	winner = [];
	winner.push(cols[col][y]);
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col + i] != "undefined" &&
		typeof cols[col + i][y + i] != "undefined" && 
		cols[col + i][y + i] % 2 == color;
		if (!same_color)
		break;
		counter++;
		winner.push(cols[col + i][y + i]);
	}
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col - i] != "undefined" &&
		typeof cols[col - i][y - i] != "undefined" && 
		cols[col - i][y - i] % 2 == color;
		if (!same_color)
		break;
		counter++;
		winner.push(cols[col - i][y - i]);
	}
	if (counter >= 3)
		return winner;
	else
		return null;
}

function  checkYX(col){
	y = cols[col].length - 1;
	color = cols[col][y] % 2;
	counter = 0;
	winner = [];
	winner.push(cols[col][y]);
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col + i] != "undefined" &&
		typeof cols[col + i][y - i] != "undefined" && 
		cols[col + i][y - i] % 2 == color;
		if (!same_color)
		break;
		counter++;
		winner.push(cols[col + i][y - i]);
	}
	same_color = true;
	for (i = 1; i < 4; i++){
		same_color = typeof cols[col - i] != "undefined" &&
		typeof cols[col - i][y + i] != "undefined" && 
		cols[col - i][y + i] % 2 == color;
		if (!same_color)
		break;
		counter++;
		winner.push(cols[col - i][y + i]);
	}
	if (counter >= 3)
		return winner;
	else
		return null;
}

function checkWinner(col){
	allArrays = [];
	chkx = checkX(col);
	chky = checkY(col);
	chkxy = checkXY(col);
	chkyx = checkYX(col);
	if (chkx != null)
		allArrays.push(chkx);
	if (chky != null)
		allArrays.push(chky);
	if (chkxy != null)
		allArrays.push(chkxy);
	if (chkyx != null)
		allArrays.push(chkyx);
	if (allArrays.length > 0){	
		document.getElementById("transparent").style.zIndex = 1;
		displayWinner(allArrays);
	}
}

function displayWinner(allArrays){
	for (i = 0; i < allArrays.length; i++){
		for (j = 0; j < allArrays[i].length; j++){
			if (onezero == 0)
				document.getElementById(allArrays[i][j]).style.visibility = "hidden";
			else
				document.getElementById(allArrays[i][j]).style.visibility = "visible";
		}
	}
	if (onezero == 0)
		onezero = 1;
	else
		onezero = 0;
	setTimeout("displayWinner(allArrays)", 500);
}

function show(col){
	if (cols[col].length < 6){
		tmp = col * 84 + 8;
		document.getElementById(turn + 1).style.left = tmp + 'px';
		document.getElementById(turn + 1).style.top = top + 'px';
	}
}

function hide(col){
	document.getElementById(turn + 1).style.top ='-200px';
}